Bug 1982090 - Top consumers filter dropdown list is inconsistent with the translation of left menu when click usage data in each Cluster utilization row
Summary: Top consumers filter dropdown list is inconsistent with the translation of le...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.8
Hardware: All
OS: All
unspecified
low
Target Milestone: ---
: 4.9.0
Assignee: Yadan Pei
QA Contact: Xiyun Zhao
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-07-14 07:45 UTC by Xu Rui Li
Modified: 2021-10-18 17:53 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Fixed an issue where the resource names were not translated in the "Top Consumers" filter dropdown on the web console "Home -> Overview" page.
Clone Of:
Environment:
Last Closed: 2021-10-18 17:39:52 UTC
Target Upstream Version:


Attachments (Terms of Use)
top consumers filter dropdown list is inconsistent with the translation of left menu (559.60 KB, image/png)
2021-07-14 07:45 UTC, Xu Rui Li
no flags Details
top consumers filter dropdown list is inconsistent with the translation of left menu (530.87 KB, image/png)
2021-07-14 07:48 UTC, Xu Rui Li
no flags Details
top consumers filter dropdown list is inconsistent with the translation of left menu (510.32 KB, image/png)
2021-07-14 07:49 UTC, Xu Rui Li
no flags Details
top consumers filter dropdown list is inconsistent with the translation of left menu (490.60 KB, image/png)
2021-07-14 07:50 UTC, Xu Rui Li
no flags Details
top consumers dropdown translation (135.61 KB, image/png)
2021-07-19 06:47 UTC, Yadan Pei
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 9510 0 None open Bug 1982090: Translate resource names in top consumers dropdown 2021-07-14 14:14:03 UTC
Red Hat Product Errata RHSA-2021:3759 0 None None None 2021-10-18 17:53:09 UTC

Description Xu Rui Li 2021-07-14 07:45:15 UTC
Created attachment 1801387 [details]
top consumers filter dropdown list is inconsistent with the translation of left menu

Description of problem:
Top consumers filter dropdown list is inconsistent with the translation of left menu when click usage data in each Cluster utilization row

Version-Release number of selected component (if applicable):
4.8

How reproducible:


Steps to Reproduce:
1.Login OpenShift Web console
2.The language preference set to Simplified Chinese language
3.In Administrator, access Home->Ovewview dashboard 
3.In Cluster utilization of Overview, top consumers filter dropdown list is inconsistent with the translation of left menu when click usage data in each Cluster utilization row.


Actual results:
In Cluster utilization of Overview, top consumers filter dropdown list is inconsistent with the translation of left menu when click usage data in each Cluster utilization row, such as 通过project, 通过Pod, 通过node.
In the left menu, the project translated to "项目", the node translated to "节点".


Expected results:
In Cluster utilization of Overview, top consumers filter dropdown list display the Simplified Chinese when clicking usage data in each Cluster utilization row in Simplified Chinese language, such as 通过项目,通过Pod, 通过节点.

Additional info:

Comment 1 Xu Rui Li 2021-07-14 07:48:19 UTC
Created attachment 1801388 [details]
top consumers filter dropdown list is inconsistent with the translation of left menu

Comment 2 Xu Rui Li 2021-07-14 07:49:37 UTC
Created attachment 1801389 [details]
top consumers filter dropdown list is inconsistent with the translation of left menu

Comment 3 Xu Rui Li 2021-07-14 07:50:33 UTC
Created attachment 1801390 [details]
top consumers filter dropdown list is inconsistent with the translation of left menu

Comment 5 Yadan Pei 2021-07-19 06:47:48 UTC
Created attachment 1803236 [details]
top consumers dropdown translation

Now the dropdown list has been translated to: 通过 项目,通过 Pod, 通过 节点

Verified on 4.9.0-0.nightly-2021-07-18-155939

Comment 8 errata-xmlrpc 2021-10-18 17:39:52 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759

Comment 9 errata-xmlrpc 2021-10-18 17:52:59 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759


Note You need to log in before you can comment on or make changes to this bug.